%define real_name CGI-Persistent

Summary:	CGI-Persistent module for perl 
Name:		perl-%{real_name}
Version:	1.00
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.gz
BuildRequires:	perl-devel, perl-CGI, perl-Object-Persistence
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides transparent state persistence for CGI applications.

%prep
%setup -q -n %{real_name}-%{version} 
chmod 0755 html/roach.cgi

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc html/*
%{perl_vendorlib}/CGI/Persistent.pm
%{_mandir}/*/*


%changelog
* Thu Jul 14 2005 Andreas Hasenack <andreas@mandriva.com> 1.00-1mdk
- initial Mandriva package 
